// (C) Copyright 2015 Moodle Pty Ltd.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

// Based on the template node_modules/cordova-android/bin/templates/project/Activity.java

package com.moodle.moodlemobile;

import android.os.Bundle;
import android.view.KeyEvent;
import android.view.View;
import org.apache.cordova.*;

public class MainActivity extends CordovaActivity
{
    @Override
    public void onCreate(Bundle savedInstanceState)
    {
        super.onCreate(savedInstanceState);

        // enable Cordova apps to be started in the background
        Bundle extras = getIntent().getExtras();
        if (extras != null && extras.getBoolean("cdvStartInBackground", false)) {
            moveTaskToBack(true);
        }

        // Set by <content src="index.html" /> in config.xml
        loadUrl(launchUrl);
    }

    @Override
    public boolean dispatchKeyEvent(KeyEvent event) {
        // Forward back key events to the web view.
        if (this.appView != null && event.getKeyCode() == KeyEvent.KEYCODE_BACK) {
            View webview = this.appView.getView();

            if (webview != null) {
                webview.dispatchKeyEvent(event);
            }

            return true;
        }

        return super.dispatchKeyEvent(event);
    }
}
