// (C) Copyright 2015 Moodle Pty Ltd.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

import { Component, OnInit, ElementRef } from '@angular/core';

import { AddonModQuizMultichoiceQuestion, CoreQuestionBaseComponent } from '@features/question/classes/base-question-component';

/**
 * Component to render a multichoice question.
 */
@Component({
    selector: 'addon-qtype-multichoice',
    templateUrl: 'addon-qtype-multichoice.html',
    styleUrls: ['multichoice.scss'],
})
export class AddonQtypeMultichoiceComponent extends CoreQuestionBaseComponent implements OnInit {

    multiQuestion?: AddonModQuizMultichoiceQuestion;

    constructor(elementRef: ElementRef) {
        super('AddonQtypeMultichoiceComponent', elementRef);
    }

    /**
     * Component being initialized.
     */
    ngOnInit(): void {
        this.initMultichoiceComponent();
        this.multiQuestion = this.question;
    }

    /**
     * Clear selected choices.
     */
    clear(): void {
        this.multiQuestion!.singleChoiceModel = undefined;
    }

}
